Автор Тема: защо трябва да преинсталирам Debian wheezy ?  (Прочетена 951 пъти)

makeme

  • Напреднали
  • *****
  • Публикации: 726
  • Distribution: Many
  • Window Manager: Mate
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #15 -: Oct 20, 2019, 16:41 »
Да, ето веднага давам:

Независимо какво ще сложа в /etc/apt/sources.list (от опитите ми до сега)

командата apt-get update дава следната грешка
E: Release file for http://archive.debian.org/debian-security/dists/wheezy/updates/Release is expired (invalid since 191d 9h 43min 47s). Updates for this repository will not be applied.
Провери ли да няма нещо останало

Код
GeSHi (Bash):
  1. grep -rHn wheezy /etc/apt/

Имай предвид, че Джета не случайно използва думата мажеш :) После може и да не тръгне тоя сървър.
Активен

Distributions:  UbuntuMate 14.04; 15.10; 16.04, CentOS 6.x, 7.x, Kali 2.0 ...

jet

  • Напреднали
  • *****
  • Публикации: 1828
  • Distribution: debian sid
  • Window Manager: kde
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #16 -: Oct 20, 2019, 17:21 »
дай го тоя sources.list да го видим
Активен

Linux: From WTF to OMG

Bogo

  • Напреднали
  • *****
  • Публикации: 554
  • Distribution: Debian
  • Window Manager: cmd
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #17 -: Oct 20, 2019, 18:02 »
deb http://archive.debian.org/debian/ wheezy main
deb-src http://archive.debian.org/debian/ wheezy main

deb http://archive.debian.org/debian-security wheezy/updates main

deb http://archive.debian.org/ wheezy/updates main
deb-src http://archive.debian.org/ wheezy/updates main

# wheezy-updates, previously known as 'volatile'
deb http://archive.debian.org/debian/ wheezy-updates main
deb-src http://archive.debian.org/debian/ wheezy-updates main
Активен

live free or die хард :)

go_fire

  • Global Moderator
  • Напреднали
  • *****
  • Публикации: 5367
  • Distribution: Дебиан Сид
  • Window Manager: ROX-Desktop / е17
  • кашик с гранатомет в танково поделение
    • Профил
    • WWW
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #18 -: Oct 20, 2019, 18:09 »
Това ли са великите камински съвети?

Добре сега смени на Lenny. Apt-get update, apt-get upgrade, apt-get dist-upgrade. И докладвай.
Активен

В $por4e2 e истината  ;)

***

Aко даваха стипендия за най-глупави, щях да съм човека с най-много Mини Kупъри

***

Reborn since 1998 || 15.09.2007 totally М$ free && conscience clear

go_fire

  • Global Moderator
  • Напреднали
  • *****
  • Публикации: 5367
  • Distribution: Дебиан Сид
  • Window Manager: ROX-Desktop / е17
  • кашик с гранатомет в танково поделение
    • Профил
    • WWW
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #19 -: Oct 20, 2019, 18:25 »
В другата тема се хвалиш, че си талант, ама, ако това беше Арх, при неговото въртящо издаване, нямаше шанс да се оправи. А и сървър на Арх е мега лошата идея.

Но ти благодарим!
Активен

В $por4e2 e истината  ;)

***

Aко даваха стипендия за най-глупави, щях да съм човека с най-много Mини Kупъри

***

Reborn since 1998 || 15.09.2007 totally М$ free && conscience clear

jet

  • Напреднали
  • *****
  • Публикации: 1828
  • Distribution: debian sid
  • Window Manager: kde
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #20 -: Oct 20, 2019, 19:01 »
deb http://archive.debian.org/debian/ wheezy main
deb-src http://archive.debian.org/debian/ wheezy main

deb http://archive.debian.org/debian-security wheezy/updates main

deb http://archive.debian.org/ wheezy/updates main
deb-src http://archive.debian.org/ wheezy/updates main

# wheezy-updates, previously known as 'volatile'
deb http://archive.debian.org/debian/ wheezy-updates main
deb-src http://archive.debian.org/debian/ wheezy-updates main
Нали се разбрахме да замениш думте wheezy с buster - аз такова нещо не виждам тук. Или трябва да се учим как се редактира файл?!
Активен

Linux: From WTF to OMG

malin1

  • Напреднали
  • *****
  • Публикации: 128
  • Distribution: Debian
  • Window Manager: LXDE
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #21 -: Oct 20, 2019, 21:13 »
Аз бих почнал така първо

deb http://archive.debian.org/debian/ wheezy main
# deb-src http://archive.debian.org/debian/ wheezy main

# deb http://archive.debian.org/debian-security wheezy/updates main

# deb http://archive.debian.org/ wheezy/updates main
# deb-src http://archive.debian.org/ wheezy/updates main

# wheezy-updates, previously known as 'volatile'
# deb http://archive.debian.org/debian/ wheezy-updates main
# deb-src http://archive.debian.org/debian/ wheezy-updates main

и sudo apt-get update, по метода на изключването, после пускане на следващото хранилище... след което бих послушал съвета за плавно надграждане. Но това се отнася за мен.
Активен

cybercop

  • Напреднали
  • *****
  • Публикации: 5568
  • Distribution: Ubuntu LTS, CENTOS 6.x
  • Window Manager: Xfce, Gnome 2
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #22 -: Oct 21, 2019, 11:34 »
И така на въпроса, защо след като преди години бях зарибен че като сложа линукс няма повече да се налага да преинсталирам
сега това идва на дневен ред
репозиторитата за wheezy са изключени и какво следва ?

Да се махам ли от Дебиан за да не повтарям това след още пет години или какво ?
И какво друго да ползвам за сървър ?

Благодаря
Ако проблемът е само в хранилищата, можеш да добавиш едно archive в адреса и да станат отново активни.
deb http://archive.debian.org/debian/ wheezy main contrib non-free
Ако искаш надграждане, променяш wheezy на jessie в редовете с основните хранилища (main, contrib и non-free и коментираш всички останали хранилища.

След това изпълняваш :

su
apt-get update
apt-get dist-upgrade
apt-get update
apt-get install -f
apt-get update
apt-get dist-upgrade
reboot

Това, което ти обяснявам е, като за начинаещ, а не на човек, администрирал сървър под Debian повече от пет години.
Ако избереш CENTOS ще ти се наложи да преинсталираш през 10 години.
Ако избереш Arch, никой не знае, кога ще преинсталираш.
« Последна редакция: Oct 21, 2019, 11:37 от cybercop »
Активен

Ползването на Linux води до пристрастяване. Факт.
http://s19.postimg.cc/4oajwoq5v/xenial2.png

go_fire

  • Global Moderator
  • Напреднали
  • *****
  • Публикации: 5367
  • Distribution: Дебиан Сид
  • Window Manager: ROX-Desktop / е17
  • кашик с гранатомет в танково поделение
    • Профил
    • WWW
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #23 -: Oct 21, 2019, 11:47 »
Тук въпросите са няколко. Джет го препраща направо на Бъстър, което може да стане или да не стане мазало. Според мен за неопитен потребител е грешка, защото ще влезе в по-голяма каша. Но потенциално ще стане по-бързо.

Аз исках да стане последователно. Само, че се обърках и казах Лени, а не Джеси. Дано е видял тъпотията ми.

Малински пък предлага да стане хранилище по хранилище, което на мен ми се струва прекалено разтеглено. От друга страна, така ще е най-безопасно.

А го има и неговия собствен вариант: rm -rf / и всичко отначало по шиндошарски.

Сега като си помисля, за човек като него с нулев до никакъв опит с ГНУ/Линукс, това май е най-добрия вариант. А, ако ме пита, бих му казал да иде по-далеч. Да го направи IIS. Поне ще е в позната среда и ще е по-малко вероятно да си счупи главата. Не администриран сървър под ГНУ/Линукс е много по-зле и от най-лошо администрирания сървър под M$ Windows.
Активен

В $por4e2 e истината  ;)

***

Aко даваха стипендия за най-глупави, щях да съм човека с най-много Mини Kупъри

***

Reborn since 1998 || 15.09.2007 totally М$ free && conscience clear

Bogo

  • Напреднали
  • *****
  • Публикации: 554
  • Distribution: Debian
  • Window Manager: cmd
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #24 -: Oct 21, 2019, 19:43 »
Благодаря на всички за съветите,
Реших че ще взема нови "железа" и на тях ще инсталирам на чисто, (и без друго са за смяна).
После ще си преместя нещата.

Благодаря още веднъж :)
Активен

live free or die хард :)

jet

  • Напреднали
  • *****
  • Публикации: 1828
  • Distribution: debian sid
  • Window Manager: kde
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #25 -: Oct 22, 2019, 01:45 »
Добре де, така и така ще преинсталираш.
Закоментари всички редове и сложи това най-отдолу:
 
deb http://archive.debian.org/debian/ buster main

И пробвай, нищо не губиш.
Активен

Linux: From WTF to OMG

go_fire

  • Global Moderator
  • Напреднали
  • *****
  • Публикации: 5367
  • Distribution: Дебиан Сид
  • Window Manager: ROX-Desktop / е17
  • кашик с гранатомет в танково поделение
    • Профил
    • WWW
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #26 -: Oct 22, 2019, 08:56 »
Слагай Арч Линукс с минимален графичен инсталатор - Anarchy Linux или познат още като An Archy Linux.

И ела в "Камината" да се похвалиш с новата инсталация :)

https://www.kaminata.net/forum/

https://www.kaminata.net/forum/viewtopic.php?f=279&p=1004026#p999657

Rado84 бре, ти не знаеш името на собствената си дистрибуция. Нито идва от нещо старо, още по-малко от анархия. Нали е дистрибуция, каква анархия те гони? Идва от архитектура. Едно нещо да научиш и от мен.

Оти не си кандидат за кмет?
Активен

В $por4e2 e истината  ;)

***

Aко даваха стипендия за най-глупави, щях да съм човека с най-много Mини Kупъри

***

Reborn since 1998 || 15.09.2007 totally М$ free && conscience clear

remotexx

  • Напреднали
  • *****
  • Публикации: 804
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #27 -: Oct 22, 2019, 17:29 »
..и за пълнота: преди да минеш от текущата към следващата версия е желателно първо текущата да се обнови до последно понеже софтуера (за обновяване) обик. е тестван и напачван с фиксове за точно този ъпгрейд в последната/ните си издания. Някой дето ползват ползват Федора може и да са се парили последните няколко г. т.е. напоследък и те почнаха (като М$ с тяхното - то така е по дизайн) да казват - първо обновете до последни версии преди ъпгрейд до новия рилийз (пък нека после той си даунгрейдва с к'вото не й на кеф - щото па у новия рилийз бая пакети са по-назад с версиите)
Активен

Dojnow

  • Напреднали
  • *****
  • Публикации: 65
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #28 -: Oct 24, 2019, 02:15 »
Да, ето веднага давам:

Независимо какво ще сложа в /etc/apt/sources.list (от опитите ми до сега)

командата apt-get update дава следната грешка
E: Release file for http://archive.debian.org/debian-security/dists/wheezy/updates/Release is expired ....
Код:
apt-get -o Acquire::Check-Valid-Until=false update
или
Код:
echo "Acquire::Check-Valid-Until \"false\";" > /etc/apt/apt.conf.d/100disablechecks
или
в sources.list се слага [trusted=yes] (не знам кога е въведена тази опция в apt, т.е дали работи в толкова остарели версии)
Код:
deb [trusted=yes] http://archive.debian.org/debian/ squeeze main contrib
Като сложих в Google E: Release file for http://archive.debian.org/debian-security/dists/wheezy/updates/Release is expired още най-отгоре излезе решение и обяснение на проблема: https://unix.stackexchange.com/questions/2544/how-to-work-around-release-file-expired-problem-on-a-local-mirror , така че проблемът не е в Debian, а във Вас. Валидни хранилища за 8 Jessie са:
deb http://ftp.bg.debian.org/debian/ jessie main non-free contrib
deb http://security-cdn.debian.org/debian-security/ jessie/updates main contrib non-free
deb http://archive.debian.org/debian/ jessie-backports main contrib non-free
Активен

nslave

  • Напреднали
  • *****
  • Публикации: 97
  • Distribution: Fedora / Debian
  • Window Manager: Xfce
    • Профил
Re: защо трябва да преинсталирам Debian wheezy ?
« Отговор #29 -: Oct 25, 2019, 00:44 »
Да докладвам на питащият, че upgrade-а е възможен с ресурсите предоставени в тази тема. Говоря на практика, тъй като в началото на вечерта имах изоставен mail сървър с wheezy, който в момента е buster.

Следвах линк-а, който jet даде, възникна ми същата грешка като при теб с Expired хранилището. Решението на този проблем го е дал Dojnow, a именно

Код:
apt-get -o Acquire::Check-Valid-Until=false update

След, което се следва процеса по upgrade между всички версии до buster с подмяна на хранилищата в sources.list

Като стигнах до stretch се счупи fail2ban, но беше заради разлика в конфигурационният файл, за което трябваше да премахна просто един ред от него.
Всички конфигурационни файлове си ги оставих старите и не позволих на upgrade процеса да ми ги презапише с новите, поне за нещата, които бях сигурен, че не искам да ми ги пипа.

В buster се счупи dovecot, но пак беше въпрос на корекция в конфигурационният му файл, а именно:

Код:
ssl_dh = </usr/share/dovecot/dh.pem

Липсващ в старият файл. Имаше и някакви други неща, но при стартиране dovecot си казваше, че не се ползват вече и какви са новите методи за постигане на тези резултати, та стана лесно и бързо.

Тези са не планираните счупени неща. Планираното е Apache, тъй като в wheezy e 2.2, a след това е 2.4 и пак има разлики в конфигурационните файлове и няма да запали. В моят случай не е жизненоважно и ще го оправям после.
Активен